Package org.apache.sling.junit.remote.ide

# Class SlingRemoteExecutionRule

java.lang.Object
org.apache.sling.junit.remote.ide.SlingRemoteExecutionRule

All Implemented Interfaces:
  `org.apache.sling.testing.tools.http.RequestCustomizer`, `org.junit.rules.MethodRule`

public class SlingRemoteExecutionRule extends Object implements org.junit.rules.MethodRule, org.apache.sling.testing.tools.http.RequestCustomizer
JUnit MethodRule that executes tests remotely if the `SLING_REMOTE_TEST_URL` property is set. Used to execute tests from an IDE and have then run on a remote Sling instance.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SLING_REMOTE_TEST_PASSWORD`
`static final String`
`SLING_REMOTE_TEST_URL`
Name of the system property that activates remote test execution
`static final String`
`SLING_REMOTE_TEST_USERNAME`

## Constructor Summary

Constructors
Constructor
Description
`SlingRemoteExecutionRule()`

## Method Summary

Modifier and Type
Method
Description
`org.junit.runners.model.Statement`
`apply(org.junit.runners.model.Statement base, org.junit.runners.model.FrameworkMethod method, Object target)`
`void`
`customizeRequest(org.apache.sling.testing.tools.http.Request r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SLING_REMOTE_TEST_URL

public static final String SLING_REMOTE_TEST_URL
Name of the system property that activates remote test execution

See Also:
  - Constant Field Values

### SLING_REMOTE_TEST_USERNAME

public static final String SLING_REMOTE_TEST_USERNAME

See Also:
  - Constant Field Values

### SLING_REMOTE_TEST_PASSWORD

public static final String SLING_REMOTE_TEST_PASSWORD

See Also:
  - Constant Field Values

## Constructor Details

### SlingRemoteExecutionRule

public SlingRemoteExecutionRule()

## Method Details

### apply

public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement base, org.junit.runners.model.FrameworkMethod method, Object target)

Specified by:
  `apply` in interface `org.junit.rules.MethodRule`

### customizeRequest

public void customizeRequest(org.apache.sling.testing.tools.http.Request r)

Specified by:
  `customizeRequest` in interface `org.apache.sling.testing.tools.http.RequestCustomizer`